<?php
/*---------------------------------------------------------------*/
/*
    Titre : Colorisation de code php valide xhtml                                                                         
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=165
    Auteur           : TommyWeb                                                                                           
    Date dition     : 03 Mars 2006                                                                                       
    Date mise  jour : 14 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
    - modification de la description                                                                                      
*/
/*---------------------------------------------------------------*/

function colorisationphp($string)
{
    $string = highlight_string($string, true);
                
    $in = array(
        '`<(?:font color="|span style="color: )'.
        ini_get('highlight.html').'">(.+?)</(?:font|span)>`si',
        '`<(?:font color="|span style="color: )'.
        ini_get('highlight.comment').'">(.+?)</(?:font|span)>`si',
        '`<(?:font color="|span style="color: )'.
        ini_get('highlight.default').'">(.+?)</(?:font|span)>`si',
        '`<(?:font color="|span style="color: )'.
        ini_get('highlight.keyword').'">(.+?)</(?:font|span)>`si',
        '`<(?:font color="|span style="color: )'.
        ini_get('highlight.string').'">(.+?)</(?:font|span)>`si',
        '`</(?:font|span)>`si'
    ); 
                    
    $out = array(
        '<span style="color: '.
        ini_get('highlight.html').'">$1</span>',
        '<span style="color: '.
        ini_get('highlight.comment').'">$1</span>',
        '<span style="color: '.
        ini_get('highlight.default').'">$1</span>',
        '<span style="color: '.
        ini_get('highlight.keyword').'">$1</span>',
        '<span style="color: '.
        ini_get('highlight.string').'">$1</span>',
        '</span>'
    );
                    
    return preg_replace($in, $out, $string);
}
?>